Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename content-type
%global enable_tests 1

Name:		nodejs-%{packagename}
Version:	1.0.4
Release:	alt1_4
Summary:	Create and parse HTTP Content-Type header according to RFC 7231

License:	MIT
URL:		https://github.com/jshttp/content-type
Source0:	https://github.com/jshttp/content-type/archive/v%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	node
Source44: import.info

%description
Create and parse HTTP Content-Type header according to RFC 7231


%prep
%setup -q -n %{packagename}-%{version}


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md HISTORY.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_4
- new version

